# Uses of Interface
com.sun.source.tree.LambdaExpressionTree

Packages that use LambdaExpressionTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of LambdaExpressionTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type LambdaExpressionTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitLambdaExpression(LambdaExpressionTree node, P p)`
Visits a `LambdaExpressionTree` node.

## Uses of LambdaExpressionTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type LambdaExpressionTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitLambdaExpression(LambdaExpressionTree node, P p)`
Visits a `LambdaExpressionTree` node.
`R`
TreeScanner.`visitLambdaExpression(LambdaExpressionTree node, P p)`
Visits a `LambdaExpressionTree` node.